OTBCLI_DESPECKLE(1)

NAME
otbcli_Despeckle - OTB Despeckle application

DESCRIPTION
This is the Despeckle application, version 5.2.0 Perform speckle noise reduction on SAR image.

Complete documentation: http://www.orfeo-toolbox.org/Applications/Despeckle.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Input Image (mandatory)
 -out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (mandatory)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-filter
    <string> speckle filtering method [lee/frost/gammamap/kuan] (mandatory, default value is lee)

-filter.lee.rad
    <int32> Radius (mandatory, default value is 1)

-filter.lee.nblooks
    <float> nb looks (mandatory, default value is 1)

-filter.frost.rad
    <int32> Radius (mandatory, default value is 1)

-filter.frost.deramp
    <float> deramp (mandatory, default value is 0.1)

-filter.gammamap.rad
    <int32> Radius (mandatory, default value is 1)

-filter.gammamap.nblooks <float>
    nb looks (mandatory, default value is 1)

-filter.kuan.rad
    <int32> Radius (mandatory)

-filter.kuan.nblooks
    <float> nb looks (mandatory)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_Despeckle -in sar.tif -filter lee -filter.lee.rad 5 -out despeckle.tif

SEE ALSO
The full documentation for otbcli_Despeckle is maintained as a Texinfo manual. If the info and otbcli_Despeckle programs are properly installed at your site, the command

    info otbcli_Despeckle

should give you access to the complete manual.